/*
 * SF-Reader: memgid.h
 *
 *   Ķ
 *
 * (C)Copyright 2009, Yashiro Takeshi
 */

#ifndef _DEFINE_H_SFREAD_MEMGID_
#define _DEFINE_H_SFREAD_MEMGID_

#include <basic.h>
#include <btron/dp.h>
#include <btron/libapp.h>

/*
 * Ķ
 */
typedef struct MemGid_ {
    BMP   bmp;
    W     gid;
    COLOR bgcol;
    CSPEC cspec;
} MemGid;


/*
 * Ķ
 *
 * : 餫 getscreen() Ƥɬפ
 */
extern MemGid* createMemGid(int width, int height, COLOR bgc);


/*
 * Ķβ
 */
extern void releaseMemGid(MemGid* mgid);


/*
 * ĶΥꥵ (Ƥ˲)
 */
extern W resizeMemGid(MemGid* mgid, int width, int height);


/*
 * ĶΥꥢ
 */
extern W clearMemGid(MemGid* mgid);


/*
 * GIDμ
 */
static inline GID getMemGid(MemGid* mgid)
{
    return mgid->gid;
}


/*
 * ¾GIDؤΥԡ
 */
extern W copyMemGid(W gid, int x, int y, MemGid* mgid);


#endif /* _DEFINE_H_SFREAD_MEMGID_ */
