/*
 * SF-Reader: sftask.h
 *
 *   ɤ߹ѥ֥
 *
 * (C)Copyright 2009, Yashiro Takeshi
 */

#ifndef _DEFINE_H_SFREAD_SFTASK_
#define _DEFINE_H_SFREAD_SFTASK_

#include <basic.h>
#include "libpasori.h"
#include "sfread.h"
#include "sfdoc.h"

#define PASORI_DEVNAME L""
#define PASORI_IO_RETRY 3
#define PASORI_TIME_RETRY 50


/*
 * ɤ߹ߴλΥå
 */
typedef struct SFReadMessage_ {
    W           msg_type;
    W           msg_size; /* sizeof(SFReadMessage) - sizeof(W)*2 */
    W           status;
    SFReadDoc*  data;
} SFReadMessage;


extern W sftask_start();
extern W sftask_terminate();

extern W sftask_cardread();


/*
 * ɤ߹ߴؿ
 */
extern SFReadDoc* sfread_read_suica(felica* fd, uint16 cardtype);
extern SFReadDoc* sfread_read_nanaco(felica* fd, uint16 cardtype);
extern SFReadDoc* sfread_read_edy(felica* fd, uint16 cardtype);
extern SFReadDoc* sfread_read_waon(felica* fd, uint16 cardtype);


#endif /* _DEFINE_H_SFREAD_SFTASK_ */
