/*
 * SF-Reader: sfread.h
 *
 *   ץꥱ
 *
 * (C)Copyright 2009, Yashiro Takeshi
 */

#ifndef _DEFINE_H_SFREAD_SFREAD_
#define _DEFINE_H_SFREAD_SFREAD_

#include <basic.h>
#include "db.h"
#include "memgid.h"
#include "sftask.h"
#include "sfdoc.h"


/*
 * ɥطγƼ
 */
#define SFREAD_COLUMNS 66

#define SFREAD_WINDOW_WIDTH  (12*2 + 8*SFREAD_COLUMNS)
#define SFREAD_WINDOW_HEIGHT (12*8 + 20 + 18*22)
#define SFREAD_PICT 9
#define SFREAD_BGCOLOR 0x10dddddd
#define SFREAD_BGCOLOR_BRIGHTER 0x10ffffff
#define SFREAD_BGCOLOR_DARKER 0x10555555
#define SFREAD_STRIPE_COLOR1 0x10ffffff
#define SFREAD_STRIPE_COLOR2 0x10f6f8f9
#define SFREAD_SUM_COLOR 0x10c2ffeb
#define SFREAD_SUM_COLOR_BRIGHTER 0x10ffffff
#define SFREAD_SUM_COLOR_DARKER 0x1059756c


/*
 * 
 */
typedef struct SFReadFusen_ {
    UH          dlen;
    UH          rsv1;
    RECT        wrect;
} SFReadFusen;


/*
 * ץꥱ
 */
typedef struct SFReadInfo_ {
    W           wid;
    W           wgid;
    W           mid;
    W           btn_read;
    W           tskid;
    Bool        busy;
    SFReadDoc*  data;
    MemGid*     mgid;
    SFReadFusen fusen;
    SFReadFusen fusen_old;
    LINK*       prog;
} SFReadInfo;

extern SFReadInfo info;

extern MENUITEM mainMenuItems[];
extern int nMainMenuItems;


extern W sfread_clear_screen();
extern W sfread_doc_render(GID gid, SFReadDoc* doc);

extern W sfread_window_init();
extern W sfread_window_cleanup();

extern W sfread_put_tray(SFReadDoc* doc, Bool tmp);

extern void sfread_suica_cleanupDB();

/*
 * ٥ȥϥɥ
 */
extern void sfread_idlefn();
extern W sfread_msgfn(MESSAGE* msg);
extern W sfread_menufn();
extern void sfread_dspfn(W ix, W mode, RECT* newr);
extern void sfread_stsfn(W ix, W sts);
extern W sfread_keyfn();
extern W sfread_presfn(W ix);
extern W sfread_finfn(W ix, W mode);


/*
 * 顼ɽ
 */
static inline void displayError(TC* msg)
{
    sig_buz(0);
    pdsp_msg(msg);
}

extern void sftask_display_status(TC* base, int sts);


#endif /* _DEFINE_H_SFREAD_SFREAD_ */
